org.h2.mvstore

## Class Chunk.PositionComparator

- java.lang.Object
- - org.h2.mvstore.Chunk.PositionComparator

All Implemented Interfaces:
  java.util.Comparator<Chunk>

Enclosing class:
  Chunk

    public static final class Chunk.PositionComparator
    extends java.lang.Object
    implements java.util.Comparator<Chunk>

### Field Summary

Fields
`static java.util.Comparator<Chunk>` `INSTANCE`

### Method Summary

Methods
`int` `compare(Chunk one, Chunk two)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### INSTANCE

    public static final java.util.Comparator<Chunk> INSTANCE

### Method Detail

#### compare

    public int compare(Chunk one,
              Chunk two)

Specified by:
  `compare` in interface `java.util.Comparator<Chunk>`